العودة للمرجع
GET/payment-services
Payment services

قائمة خدمات الدفع

يعرض خدمات الدفع المفعلة مع تصفية اختيارية بالعملة والطريقة.

مستوى الوصولauthenticatedالحدpay_apiمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/Modules/PayAPI/Controllers/PaymentServiceController.php::indexLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
currencyquery
stringاختياري

ISO 4217 currency code.

Example: YER
methodquery
stringاختياري

Payment method filter.

Example: wallet

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/payment-services' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
success
boolean
Example: true
data
object
{
  "success": true,
  "data": {
    "services": [
      {
        "provider": "wallet",
        "display_name": "LuxPay Wallet",
        "enabled": true,
        "can_select": true,
        "currencies": [
          "string"
        ],
        "methods": [
          "string"
        ],
        "channels": [
          "string"
        ]
      }
    ],
    "count": 1
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection